export LANG="en_US.UTF-8"
export LANGUAGE="en_US"
export LC_CTYPE="de_DE.UTF-8"
export LC_NUMERIC="de_DE.UTF-8"
export LC_TIME="de_DE.UTF-8"
export LC_COLLATE="de_DE.UTF-8"
export LC_MONETARY="de_DE.UTF-8"
export LC_MESSAGES="de_DE.UTF-8"
export LC_PAPER="de_DE.UTF-8"
export LC_NAME="de_DE.UTF-8"
export LC_ADDRESS="de_DE.UTF-8"
export LC_TELEPHONE="de_DE.UTF-8"
export LC_MEASUREMENT="de_DE.UTF-8"
export LC_IDENTIFICATION="de_DE.UTF-8"
export LC_ALL="de_DE.UTF-8"

# Don't check for new mail
export MAILCHECK=1

export GOPATH=$HOME/.golang
export FONTCONFIG_PATH=/etc/fonts

export UID=$(id -u)
export GID=$(id -g)

export MAKEOPTS="-j$(cat /proc/cpuinfo | awk -F: '$1 ~ /cpu cores/ { print $2 }' | head -n 1 | tr -d ' ')"

export PATH=$PATH:~/.local/bin:~/bin:
export EDITOR=vim

if [ -n "$(command -v composer)" ]; then
    export PATH=$PATH:$(composer global config bin-dir --absolute -q)
fi

if [ -n "$(command -v rustc)" ]; then
    export RUST_SRC_PATH=$(rustc --print sysroot)/lib/rustlib/src/rust/library
fi

if [ -n "$(command -v clang)" ]; then
    export CC=clang
else
    export CC=gcc
fi

if [ -n "$(command -v clang++)" ]; then
    export CXX=clang++
else
    export CXX=g++
fi
